**FIXED***Latest freecad-community update broke *all* versions of FreeCAD on Ubuntu 18.04

Having trouble installing or compiling FreeCAD? Get help here.
User avatar
NormandC
Posts: 18534
Joined: Sat Feb 06, 2010 9:52 pm
Location: Québec, Canada

Re: Latest freecad-community update broke *all* versions of FreeCAD on Ubuntu 18.04

Postby NormandC » Mon Dec 31, 2018 7:36 pm

Hi Kris,

For such tests, maybe it would be best to do it safely on a separate testing PPA that only the most daring users will have installed.

That being said, a new Coin package that does not embed an old expat library will certainly be good news.
User avatar
kkremitzki
Posts: 1713
Joined: Thu Mar 03, 2016 9:52 pm
Location: Texas

Re: Latest freecad-community update broke *all* versions of FreeCAD on Ubuntu 18.04

Postby kkremitzki » Tue Jan 01, 2019 12:25 am

Sorry, I'm in the midst of transitioning the PPA to Qt 5 so there's going to be some breakage. A new freecad-daily package for 18.04 is building now and I'll get to the stable ones soon, it seems there a few bugs at least in Ubuntu 18.10. (Failing to load FEM workbench for example.)

Edit: Unfortunately at the moment I only have the new Coin package working with the new Pivy which means it's 18.04 and above only.
Like my FreeCAD work? I'd appreciate any level of support via Patreon, Liberapay, or PayPal! Read more about what I do at my blog.
User avatar
NormandC
Posts: 18534
Joined: Sat Feb 06, 2010 9:52 pm
Location: Québec, Canada

Re: Latest freecad-community update broke *all* versions of FreeCAD on Ubuntu 18.04

Postby NormandC » Tue Jan 01, 2019 8:11 am

Updated the freecad-daily package, I "unblocked" the expat/libexpat1/libexpat-dev packages which I had reverted to the Ubuntu 16.04 versions to avoid the crash bug with opening SVGs. So far so good!

Thanks!

OS: Ubuntu 18.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.15521 (Git)
Build type: Release
Branch: master
Hash: 6cdeab9c1469a41f24ae5e8fa9091c9bdfbb90db
Python version: 2.7.15rc1
Qt version: 5.9.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: French/Canada (fr_CA)
soaring
Posts: 40
Joined: Sat Dec 31, 2016 10:27 pm

Re: Latest freecad-community update broke *all* versions of FreeCAD on Ubuntu 18.04

Postby soaring » Tue Jan 01, 2019 2:01 pm

Hello guys, i found a workaround :-)

My version / env :

OS: Ubuntu 18.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13541 (Git)
Build type: None
Branch: releases/FreeCAD-0-17
Hash: 9948ee4f1570df9216862a79705afb367b2c6ffb
Python version: 2.7.15rc1
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/UnitedStates (en_US)

Stable freecad version, stable OS, depandency problem...mhm... why not using temporary the AppImage version of Freecad ?

Yes you can, and it works :-)

https://www.freecadweb.org/downloads.php

My conf (addon workbench) are available, so it let all time needed to fix the packaging problem, cause AppImage contains all its required dependancy :-)

Enjoy :-)
User avatar
NormandC
Posts: 18534
Joined: Sat Feb 06, 2010 9:52 pm
Location: Québec, Canada

Re: Latest freecad-community update broke *all* versions of FreeCAD on Ubuntu 18.04

Postby NormandC » Tue Jan 01, 2019 4:25 pm

A better workaround is to add the freecad-daily PPA to your software sources and install the freecad-daily package. ;)
soaring
Posts: 40
Joined: Sat Dec 31, 2016 10:27 pm

Re: Latest freecad-community update broke *all* versions of FreeCAD on Ubuntu 18.04

Postby soaring » Tue Jan 01, 2019 5:21 pm

Done, and i think will be better for testing curvesWB :-)
User avatar
sgrogan
Posts: 5340
Joined: Wed Oct 22, 2014 5:02 pm

Re: Latest freecad-community update broke *all* versions of FreeCAD on Ubuntu 18.04

Postby sgrogan » Tue Jan 01, 2019 6:18 pm

kkremitzki wrote:
Tue Jan 01, 2019 12:25 am
Edit: Unfortunately at the moment I only have the new Coin package working with the new Pivy which means it's 18.04 and above only.
OK, for now I will only trigger 14.04 and 16.04.

We will need to branch the packaging repro on LP to allow to build on LP. Kurt, do you want me to work on this?
User avatar
kkremitzki
Posts: 1713
Joined: Thu Mar 03, 2016 9:52 pm
Location: Texas

Re: Latest freecad-community update broke *all* versions of FreeCAD on Ubuntu 18.04

Postby kkremitzki » Tue Jan 01, 2019 10:01 pm

sgrogan wrote:
Tue Jan 01, 2019 6:18 pm
kkremitzki wrote:
Tue Jan 01, 2019 12:25 am
Edit: Unfortunately at the moment I only have the new Coin package working with the new Pivy which means it's 18.04 and above only.
OK, for now I will only trigger 14.04 and 16.04.

We will need to branch the packaging repro on LP to allow to build on LP. Kurt, do you want me to work on this?
No need, really.

I just made a copy of the packaging recipes and updated the packaging branches to -qt5, e.g. the daily-qt5 recipe uses the dailybuild-occt-qt5 branch in the git packaging. I did similarly for the stable build recipes for 18.04+. Essentially I just updated the packaging dependencies in debian/control to match what's in the Debian packaging upstream, and I added the necessary Qt 5 build flags in debian/rules.

So, the other builds just need to be triggered separately.
Like my FreeCAD work? I'd appreciate any level of support via Patreon, Liberapay, or PayPal! Read more about what I do at my blog.
neildarlow
Posts: 18
Joined: Mon Mar 17, 2014 1:29 pm

Re: Latest freecad-community update broke *all* versions of FreeCAD on Ubuntu 18.04

Postby neildarlow » Wed Jan 02, 2019 8:55 am

Hi,

I'm guessing this affects the stable PPA as well. The freecad package builds there appear to be failing for i386 and amd64 at the moment.
Paul G
Posts: 12
Joined: Thu May 28, 2015 9:23 pm

Re: Latest freecad-community update broke *all* versions of FreeCAD on Ubuntu 18.04

Postby Paul G » Wed Jan 02, 2019 6:53 pm

Luckily ,I have Timeshift installed and was able to restore the previous day's snapshot and disable the freecad-daily PPA to prevent the update proceeding.
I recommend Timeshift to anyone running a Linux O/S.